Bug 460044 - Review Request: pssh - Parallel SSH tools
Review Request: pssh - Parallel SSH tools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 13:53 EDT by Terje Røsten
Modified: 2014-03-07 10:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-25 17:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-08-25 13:53:32 EDT
spec: http://terjeros.fedorapeople.org/pssh/pssh.spec 
srpm: http://terjeros.fedorapeople.org/pssh/pssh-1.4.0-1.fc9.src.rpm
Description:
This package provides various parallel tools based on ssh and scp.
Parallell version includes:
 o ssh : pssh
 o scp : pscp
 o nuke : pnuke
 o rsync : prsync
 o slurp : pslurp


koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=785113
Comment 1 manuel wolfshant 2008-08-25 14:24:16 EDT
You seem to miss a couple of BRs:
- http://koji.fedoraproject.org/koji/getfile?taskID=785132&name=build.log (missing python)
- http://koji.fedoraproject.org/koji/getfile?taskID=785172&name=build.log (missing module named setuptools)
Comment 2 Terje Røsten 2008-08-25 14:29:13 EDT
Sorry, I forgot to update the files on fp.org, fixed now. Please retry.
Comment 3 manuel wolfshant 2008-08-25 15:02:30 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: pssh.src: E: unknown-key GPG#7666df64 (ignorable)
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: BSD
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 68dfefcf442eebe38ba23303ed4015fd4c5fab0e pssh-1.4.0.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on:devel/x86_64, F7/x86_64
  [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.



================
*** APPROVED ***
================
Comment 4 Terje Røsten 2008-08-25 15:10:49 EDT
Thanks wolfy, that was very quick!


New Package CVS Request
=======================
Package Name: pssh
Short Description: Parallel SSH tools
Owners: terjeros
Branches: F-8 F-9
InitialCC:
Comment 5 Kevin Fenzi 2008-08-25 15:59:23 EDT
cvs done.
Comment 6 Terje Røsten 2008-08-25 17:45:58 EDT
Wow! 

Just some hours from review request submitted to packages pending in bodhi.
Never seen that before. 

Thanks guys!
Comment 7 Patrick Laughton 2009-06-11 10:50:12 EDT
[x] Package does not own files or directories owned by other packages.

I take it you overlooked /usr/bin/pscp owned by putty for five years prior?

BZ#485969
BZ#472617
Comment 8 Tim Niemueller 2014-03-07 10:03:11 EST
Package Change Request
======================
Package Name: pssh
New Branches: el6 epel7
Owners: timn
Comment 9 Gwyn Ciesla 2014-03-07 10:34:18 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.